PrimalScript 7.7.147 installer does not recognize existing .NET 5 install

This forum can be browsed by the general public. Posting is limited to current SAPIEN license holders with active maintenance and does not offer a response time guarantee.
Forum rules
DO NOT POST LICENSE NUMBERS, ACTIVATION KEYS OR ANY OTHER LICENSING INFORMATION IN THIS FORUM.
Only the original author and our tech personnel can reply to a topic that is created in this forum. If you find a topic that relates to an issue you are having, please create a new topic and reference the other in your post.

Any code longer than three lines should be added as code using the 'Select Code' dropdown menu or attached as a file.
User avatar
DiZzyDmon
Posts: 51
Last visit: Wed Apr 21, 2021 9:24 am

PrimalScript 7.7.147 installer does not recognize existing .NET 5 install

Post by DiZzyDmon »

Product, version and build: PrimalScript 2021 7.7.147.0
Operating system: Windows 10 (1909 and 20H2)

This morning I upgraded PrimalScript to version 7.7.147.0 on both of my computers (one running Windows 10 1909, the other Windows 10 20H2).
On both systems, the installer wanted to install the prerequisite .NET 5 runtime.
Both .NET 5 installs failed the same way: "Cannot install a product when a newer version is installed".
Attachments
Microsoft_Windows_Desktop_Runtime_-_5.0.0_(x64)_20210218074702.log
(3.19 KiB) Downloaded 21 times
PrimalScript installer does not recognize .NET 5.png
PrimalScript installer does not recognize .NET 5.png (210.59 KiB) Viewed 730 times

User avatar
Alexander Riedel
Posts: 7665
Last visit: Wed Apr 21, 2021 12:28 am
Answers: 3
Been upvoted: 8 times

Re: PrimalScript 7.7.147 installer does not recognize existing .NET 5 install

Post by Alexander Riedel »

Yes, thank you. We are aware. Microsoft for some reason does not allow installation of a previous runtime, even though it leaves it in place if a later version is installed.
It also is supposed to just fail silently and do nothing when a newer version is detected.
We have devised our own check which will do its own detection.
Did the rest on the install proceed normally?
Alexander Riedel
SAPIEN Technologies, Inc.

User avatar
DiZzyDmon
Posts: 51
Last visit: Wed Apr 21, 2021 9:24 am

Re: PrimalScript 7.7.147 installer does not recognize existing .NET 5 install

Post by DiZzyDmon »

Yes, I was able to complete the upgrades.